Name:           spacenavd
Version:        0.5
Release:        2%{?dist}
Summary:        A free, compatible alternative for 3Dconnexion's input drivers

Group:          User Interface/X Hardware Support
License:        GPLv3+
URL:            http://spacenav.sourceforge.net/
Source0:        http://downloads.sourceforge.net/spacenav/%{name}-%{version}.tar.gz
Source1:        spacenavd.service

BuildRequires:  libX11-devel
BuildRequires:  systemd-units

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units


%description
Spacenavd, is a free software replacement user-space driver (daemon), for
3Dconnexion's space-something 6dof input devices. It's compatible with the
original 3dxsrv proprietary daemon provided by 3Dconnexion, and works
perfectly with any program that was written for the 3Dconnexion driver.


%prep
%setup -q


%build
%configure --prefix=%{buildroot}%{_prefix}
sed -i "s/CFLAGS =/CFLAGS +=/g" Makefile

make %{?_smp_mflags}


%install
make install

# Install systemd unit file
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}


%clean
rm -rf %{buildroot}


%post
if [ $1 -eq 1 ] ; then 
    # Initial installation
    /bin/systemctl enable spacenavd.service >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable spacenavd.service > /dev/null 2>&1 || :
    /bin/systemctl stop spacenavd.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart spacenavd.service >/dev/null 2>&1 || :
fi


%files
%doc AUTHORS Changelog doc/* README
%{_bindir}/*
%{_unitdir}/%{name}.service


%changelog
* Thu Aug 16 2011 Richard Shaw <hobbes1069@gmail.com> - 0.5-2
- Use systemd unit file instead of sysv init file.

* Tue Aug 16 2011 Richard Shaw <hobbes1069@gmail.com> - 0.5-1
- Initial Release.
